OpenapiGenerated
Get a cloud provider.
GET
cloudProviderSlug*stringMatch
^[a-z0-9-_]+$Request was successfully processed. The response body contains the requested data.
application/json- response
id?integerFormat
int64name?stringslug?stringavailable?booleancreatedAt?stringFormat
date-timemodifiedAt?stringFormat
date-timelogo?stringbyon?booleantype?stringValue in
"aws""azure""byon""digitalocean""empty""hetzner""multipass""none""openstack""thalassa""vsphere"privateClusterSetting?stringValue in
"UNAVAILABLE""ENFORCED""PREFERRED""SELECTABLE"metadata?validateCloudCredentials?booleancurl -X GET 'https://api.avisi.cloud/api/v1/cloud-providers/string'{ "id": 0, "name": "string", "slug": "string", "available": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "logo": "string", "byon": true, "type": "aws", "privateClusterSetting": "UNAVAILABLE", "metadata": { "property1": "string", "property2": "string" }, "validateCloudCredentials": true}